Bug 12503 - Manpages not generated correctly in tarball?
Manpages not generated correctly in tarball?
Status: CLOSED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Documentation
4.4.8
All All
: P5 normal
: ---
Assigned To: Samba Documentation QA Contact~
Samba Documentation QA Contact~
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-08 10:10 UTC by Martin Birgmeier
Modified: 2017-12-02 14:22 UTC (History)
1 user (show)

See Also:


Attachments
diff between extract from samba-4.4.8.tar.gz and that built from git repo, after generating man pages (131.41 KB, text/plain)
2017-01-08 10:10 UTC, Martin Birgmeier
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Birgmeier 2017-01-08 10:10:06 UTC
Created attachment 12804 [details]
diff between extract from samba-4.4.8.tar.gz and that built from git repo, after generating man pages

Hi,

I am running FreeBSD 11.0.

I want to install samba44 from ports, which currently is samba-4.4.8.
However, I want to use a checkout from the git repo instead of the tarball.

I have mirrored the samba git repo locally and then used it to check out
samba-4.4.8. I have then compared it to what is in samba-4.4.8.tar.gz
and have found that the prebuilt manpages are missing.

I have generated them using the Makefile in docs-xml and again compared
them to those in the distribution tarball.

Now the problem: It seems that in the distribution tarball, the manpages
are truncated; look for examle for "dbwrap_tool.1". I have attached a
full diff to show this.

-- Martin
Comment 1 Karolin Seeger 2017-01-09 07:43:24 UTC
Confirmed.
I've run into this also, but did not find the problem yet...
Comment 2 Martin Birgmeier 2017-01-09 19:58:22 UTC
A consequence of this issue is that users of the tarball get incomplete manual pages.
Comment 3 Karolin Seeger 2017-02-20 08:41:46 UTC
This has been fixed in later versions.
Closing out bug report.

Thanks!